curl --request POST \
--url https://cloud.kaneo.app/api/github-integration/project/{projectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repositoryOwner": "<string>",
"repositoryName": "<string>"
}
'{
"id": "<string>",
"projectId": "<string>",
"repositoryOwner": "<string>",
"repositoryName": "<string>",
"installationId": 123,
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"branchPattern": "<string>",
"commentTaskLinkOnGitHubIssue": true
}Create a new GitHub integration for a project
curl --request POST \
--url https://cloud.kaneo.app/api/github-integration/project/{projectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repositoryOwner": "<string>",
"repositoryName": "<string>"
}
'{
"id": "<string>",
"projectId": "<string>",
"repositoryOwner": "<string>",
"repositoryName": "<string>",
"installationId": 123,
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"branchPattern": "<string>",
"commentTaskLinkOnGitHubIssue": true
}Bearer token authentication
Integration created successfully
Was this page helpful?